metadata-based-replication:
  description: "Upload data and set up a metadata-based subscription for it."
  module_name: "tasks.tests.metadata_replication"
  class_name: "MetadataReplication"
  enabled: true
  args:
  kwargs:
    account: "ajm"
    scope: "sp4274_subscriptions"
    rse: "SPSRC_STORM"
    size: 10000
    lifetime: 3600
    dataset_name: "testing_metadata_subscriptions"
    fixed_metadata: # Explicit k-v pairs to set as metadata
      project: skao_proj_1
    subscription_name: test_subscription4
    filters:
      scope:
        - "sp4274_subscriptions"
      project:
        - skao_proj_1
    replication_rules:
      - copies: 1
        rse_expression: "NLSRC_DCACHE"
        lifetime: 3600
        activity: User Subscriptions
    comments: Test subscription
    subscription_lifetime: 3600
    retroactive: false
    dry_run: false
    priority: 3
    delay_s: 10 # Interval between retries
    timeout: 300
    output:
      databases:
        - type: es
          uri: https://monit.srcdev.skao.int:443/elastic
          index: rucio_metadata_replication
